#!/bin/bash
# This script is helper for running various other scripts
# for exporting ElasticSearch data to S3 bucket
# 
# The script takes two arguments - the Elasticsearch endpoint and the environment name (free form)

DATE=$(date +%Y-%m-%d)
TIME=$(date +%Y-%m-%d-%H-%M-%S)

API_KEYS_LOG=/home/docker/$TIME-api_keys_stats-$2.log 
AVIRA_LOG=/home/docker/$TIME-avstats-$2.log
SENSOR_LOG=/home/docker/$TIME-org_stats-$2.log

# Elasticsearch endpoint 
#echo "The ES cluster endpoint: $1"

# run export script for api-keys-stats
node app-apikeystats.js $1 443 > $API_KEYS_LOG

if [ -f $API_KEYS_LOG ]; then
  # copy stats file to s3
  aws s3 cp $API_KEYS_LOG s3://defense-bi-analytics-hub01/deployment_stats/api_key_stats/$DATE/
fi

# run export script for avira-stats
node app-avstats.js $1 443 > $AVIRA_LOG

if [ -f $AVIRA_LOG ]; then
  aws s3 cp $AVIRA_LOG s3://defense-bi-analytics-hub01/deployment_stats/avstats/$DATE/
fi  

# run export script for sensor-stats
node app-orgstats.js $1 443 > $SENSOR_LOG

if [ -f $SENSOR_LOG ]; then
  aws s3 cp $SENSOR_LOG s3://defense-bi-analytics-hub01/deployment_stats/sensor_stats/$DATE/
fi 